apiVersion: v1
kind: Pod
metadata:
  name: httpd-pod
  labels:
    app: httpd

spec:
  containers:
  - name: httpd-container
    image: httpd
    ports:
    - containerPort: 80
      name: http-port
      protocol: TCP